<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "producto".
 *
 * @property int $id
 * @property string $codigo
 * @property string $nombre
 * @property string $sello
 *
 * @property ListaPrecio[] $listaPrecios
 */
class Producto extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'producto';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['codigo', 'nombre'], 'required'],
            [['codigo'], 'string', 'max' => 20],
            [['nombre'], 'string', 'max' => 200],
            [['sello'], 'string', 'max' => 100],
            [['codigo'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'codigo' => 'Codigo',
            'nombre' => 'Nombre',
            'sello' => 'Sello',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getListaPrecios()
    {
        return $this->hasMany(ListaPrecio::className(), ['producto_id' => 'id']);
    }
}
